Subject: Re: [PATCH net-next 00/11] mlxsw: extend line card model by devices and info

From: Jakub Kicinski <[email-masked]>
Date: Mon, 23 May 2022 10:56:40 -0700

On Mon, 23 May 2022 11:42:07 +0200 Jiri Pirko wrote:
> Mon, May 02, 2022 at 04:39:33PM CEST, [email-masked] wrote:
> >On Sat, 30 Apr 2022 08:27:35 +0200 Jiri Pirko wrote:  
> >> Now I just want to use this component name to target individual line
> >> cards. I see it is a nice fit. Don't you think?  
> >
> >Still on the fence.  
> 
> Why?

IIRC my concern was mixing objects. We have component name coming from
lc info, but then use it in dev flash.

> >> I see that the manpage is mentioning "the component names from devlink dev info"
> >> which is not actually implemented, but exactly what I proposed.  
> >
> >How do you tie the line card to the component name? lc8_dev0 from 
> >the flashing example is not present in the lc info output.  
> 
> Okay, I will move it there. Makes sense.

FWIW I think I meant my comment as a way to underline that what you
argue for is not what's implemented (assuming your "not actually
implemented" referred to the flashing). I was trying to send you back 
to the drawing board rather than break open a box of band-aides.